Summary: Insert URL on pages printed from Netscape
Name: urlfilter
Version: 1.0
Release: 1
Group: X11/Utilities
Copyright: Free
URL: http://bach.ece.jhu.edu/~tim/programs/
Source0: http://bach.ece.jhu.edu/~tim/programs/url.c
Source1: http://bach.ece.jhu.edu/~tim/programs/urlfilter
Source2: http://bach.ece.jhu.edu/~tim/programs/urlfilter.pl
Source3: http://bach.ece.jhu.edu/~tim/programs/urlfilter.awk
Patch: urlfilter.patch
BuildRoot: /var/tmp/url-%{version}
Packager: Jonathan R. Senning <senning@gordon.edu>

%description
url is a program written by Tim Edwards <tim@bach.ece.jhu.edu> for a
co-worker who asked if it were possible to print the URL at the top of a
Netscape printout, which he says is possible under all versions of Netscape
except the UNIX one.  This little program, an exercise in understanding X11
"Atoms" and Widget trees, will search out the window on your display running
Netscape and request the current URL from it. The optional first parameter
to url is a (remote) display name, so you can see what Netscape page someone
else is reading, as long as they have X11 access enabled (i.e., xhost +)!
Updated 3/2/00 with a bug fix by Robert Mitchell of WFF/NASA which prevents
url from getting confused by Netscape windows other than the Print window,
and picks up the MOZILLA_URL Atom from the correct window.

urlfilter is the companion script written by Ed Hawkins III at JHU-APL for
getting the url program to write the current URL to the top of the printed
page. Format is to put the web page title on the upper left hand corner and
the URL on the upper right hand corner. Format adjusts appropriately for
both portrait and landscape page orientations. The PostScript statements in
the filter script can be customized to change the font and appearance of the
URL title on the page.

This script has also been translated into Perl and AWK versions.  The AWK
version has the two advantages that it does not alter the orignal PostScript
at all (both the others do) and it also runs faster than either of the other
two versions.  In addition, the AWK version also prints the the page number
and the printing date and time at the bottom of the page.

To use these filters, from the Netscape Print window, select

For urlfilter:       Print Command: urlfilter | lpr
For urlfilter.pl:    Print Command: urlfilter.pl | lpr
For urlfilter.awk:   Print Command: urlfilter.awk | lpr

%prep

%setup -T -c -n url-%{version}
cp $RPM_SOURCE_DIR/url.c .
cp $RPM_SOURCE_DIR/urlfilter .
cp $RPM_SOURCE_DIR/urlfilter.pl .
cp $RPM_SOURCE_DIR/urlfilter.awk .

%patch0 -p1

%build
cc -O2 -o url url.c -L/usr/X11R6/lib -lXt -lXext -lX11

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 -o 0 -g 0 -s url $RPM_BUILD_ROOT/usr/bin
install -m 755 -o 0 -g 0 urlfilter $RPM_BUILD_ROOT/usr/bin
install -m 755 -o 0 -g 0 urlfilter.pl $RPM_BUILD_ROOT/usr/bin
install -m 755 -o 0 -g 0 urlfilter.awk $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/url
/usr/bin/urlfilter
/usr/bin/urlfilter.pl
/usr/bin/urlfilter.awk
